<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateContractTemplateObligationLogsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('contract_template_obligation_logs', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('contract_template_obligation_id')->unsigned()->nullable();
            $table->foreign('contract_template_obligation_id', 'ctol_cto_id')->references('id')->on('contract_template_obligations')->onDelete('cascade');
            $table->json('history')->nullable();
            $table->text('remark')->nullable();
            $table->integer('status')->nullable()->default(1);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('contract_template_obligation_logs');
    }
}
